SupportedOperations (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.resourcemanagement.support.shared.operations
Enum SupportedOperations

    java.lang.Object
      java.lang.Enum<SupportedOperations>
          org.gcube.resourcemanagement.support.shared.operations.SupportedOperations

All Implemented Interfaces:
  Serializable, Comparable<SupportedOperations>

    public enum SupportedOperations

extends Enum<SupportedOperations>

Author:
  Daniele Strollo (ISTI-CNR)

Enum Constant Summary
`ADD_TO_SCOPE`
`COLLECTION_DELETE`
`COLLECTION_FORCE_DELETE`
`CREATE_MENU_SHOW`
`GENERIC_RESOURCE_CREATE`
`GENERIC_RESOURCE_DELETE`
`GENERIC_RESOURCE_EDIT`
`GENERIC_RESOURCE_FORCE_DELETE`
`GHN_CLEAN_RESTART`
`GHN_DELETE`
`GHN_FORCE_DELETE`
`GHN_RESTART`
`GHN_SHUTDOWN`
`INFRASTRUCTURE_UPGRADE`
`RUNNING_INSTANCE_UNDEPLOY`
`RUNTIME_RESOURCE_DELETE`
`RUNTIME_RESOURCE_FORCE_DELETE`
`SERVICE_CREATE`
`SERVICE_DEPLOY`
`SERVICE_GET_REPORT`
`SERVICE_GET_RESOURCE_BY_ID`
`SWEEP_GHN`
`VIEW_DELETE`
`VIEW_FORCE_DELETE`

Method Summary
`UserGroup[]` | `getPermissions()`
`boolean` | `isAllowed(UserGroup permission)` States if a group is allowed to execute an operation.
`static SupportedOperations` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SupportedOperations[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GHN_SHUTDOWN

    public static final SupportedOperations GHN_SHUTDOWN

### GHN_RESTART

    public static final SupportedOperations GHN_RESTART

### GHN_CLEAN_RESTART

    public static final SupportedOperations GHN_CLEAN_RESTART

### GHN_DELETE

    public static final SupportedOperations GHN_DELETE

### GHN_FORCE_DELETE

    public static final SupportedOperations GHN_FORCE_DELETE

### GENERIC_RESOURCE_CREATE

    public static final SupportedOperations GENERIC_RESOURCE_CREATE

### GENERIC_RESOURCE_EDIT

    public static final SupportedOperations GENERIC_RESOURCE_EDIT

### GENERIC_RESOURCE_DELETE

    public static final SupportedOperations GENERIC_RESOURCE_DELETE

### GENERIC_RESOURCE_FORCE_DELETE

    public static final SupportedOperations GENERIC_RESOURCE_FORCE_DELETE

### RUNTIME_RESOURCE_DELETE

    public static final SupportedOperations RUNTIME_RESOURCE_DELETE

### RUNTIME_RESOURCE_FORCE_DELETE

    public static final SupportedOperations RUNTIME_RESOURCE_FORCE_DELETE

### SERVICE_CREATE

    public static final SupportedOperations SERVICE_CREATE

### SERVICE_DEPLOY

    public static final SupportedOperations SERVICE_DEPLOY

### SERVICE_GET_REPORT

    public static final SupportedOperations SERVICE_GET_REPORT

### SERVICE_GET_RESOURCE_BY_ID

    public static final SupportedOperations SERVICE_GET_RESOURCE_BY_ID

### RUNNING_INSTANCE_UNDEPLOY

    public static final SupportedOperations RUNNING_INSTANCE_UNDEPLOY

### COLLECTION_DELETE

    public static final SupportedOperations COLLECTION_DELETE

### COLLECTION_FORCE_DELETE

    public static final SupportedOperations COLLECTION_FORCE_DELETE

### VIEW_DELETE

    public static final SupportedOperations VIEW_DELETE

### VIEW_FORCE_DELETE

    public static final SupportedOperations VIEW_FORCE_DELETE

### ADD_TO_SCOPE

    public static final SupportedOperations ADD_TO_SCOPE

### SWEEP_GHN

    public static final SupportedOperations SWEEP_GHN

### CREATE_MENU_SHOW

    public static final SupportedOperations CREATE_MENU_SHOW

### INFRASTRUCTURE_UPGRADE

    public static final SupportedOperations INFRASTRUCTURE_UPGRADE

Method Detail

### values

    public static SupportedOperations[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SupportedOperations c : SupportedOperations.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SupportedOperations valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getPermissions

    public UserGroup[] getPermissions()

### isAllowed

    public boolean isAllowed(UserGroup permission)

  States if a group is allowed to execute an operation.

  Parameters:
    `permission` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2014. All Rights Reserved.